Class | Tk::BLT::PlotComponent::GridLine
In: | tk/lib/tkextlib/blt/component.rb
Parent: | TkObject

### Methods

cget configinfo configure current_configinfo id new new off on to_eval toggle

### Constants

OBJ_TBL | = | {}

### Public Class methods

new(chart, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 627
          def self.new(chart, keys={})
            return OBJ_TBL[chart.path] if OBJ_TBL[chart.path]
            super(chart, keys)
          end

new(chart, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 632
          def initialize(chart, keys={})
            @parent = @chart = chart
            @cpath = @chart.path
            GridLine::OBJ_TBL[@cpath] = self
            @chart.gridline_configure(keys) unless keys.empty?
            @path = @id = 'grid'
          end

### Public Instance methods

cget(option)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 648
          def cget(option)
            @chart.gridline_cget(option)
          end

configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 655
          def configinfo(key=nil)
            @chart.gridline_configinfo(key)
          end

configure(key, value=None)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 651
          def configure(key, value=None)
            @chart.gridline_configure(key, value)
            self
          end

current_configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 658
          def current_configinfo(key=nil)
            @chart.current_gridline_configinfo(key)
          end

id()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 640
          def id
            @id
          end

off()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 662
          def off
            @chart.gridline_off
            self
          end

on()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 666
          def on
            @chart.gridline_on
            self
          end

to_eval()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 644
          def to_eval
            @id
          end

toggle()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 670
          def toggle
            @chart.gridline_toggle
            self
          end

[Validate]